init python:

    # Step 1. Create the gallery object.
    g = Gallery()

    g.locked_button = "ending locked"

    # Step 2. Add buttons and images to the gallery.

    g.button("ending_cute")
    g.unlock_image("ending cute")

    g.button("ending_funny")
    g.unlock_image("ending funny")

    g.button("ending_helper")
    g.unlock_image("ending helper")

    g.button("ending_pong")
    g.unlock_image("ending pong")

    g.button("ending_ynot")
    g.unlock_image("ending ynot")

    g.button("ending_psych")
    g.unlock_image("ending psych")

    g.button("ending_death")
    g.unlock_image("ending death")

    # The transition used when switching images.
    g.transition = dissolve

# Step 3. The gallery screen we use.
screen endings_gallery:

    # Ensure this replaces the main menu.
    tag menu

    # The background.
    add "bg gray"

    # A grid of buttons.
    grid 3 3:
        xalign 0.5
        yalign 0.35
        spacing 20
        # xfill True
        # yfill True

        # Call make_button to show a particular button.
        add g.make_button("ending_cute", "ending thumb cute.png", xalign=0.5, yalign=0.5)
        add g.make_button("ending_funny", "ending thumb funny.png", xalign=0.5, yalign=0.5)
        add g.make_button("ending_helper", "ending thumb helper.png", xalign=0.5, yalign=0.5)

        add g.make_button("ending_pong", "ending thumb pong.png", xalign=0.5, yalign=0.5)
        add g.make_button("ending_ynot", "ending thumb ynot.png", xalign=0.5, yalign=0.5)
        add g.make_button("ending_psych", "ending thumb psych.png", xalign=0.5, yalign=0.5)

        text ""
        add g.make_button("ending_death", "ending thumb death.png", xalign=0.5, yalign=0.5)
        text ""

    frame:
        xalign 0.1
        yalign 0.85
        vbox:
            textbutton "Return" action Return() xalign 0.5 yalign 0.5
